# Description

Script for the classification tasks.

# Usage

```
main_classify.py -b gpu -z 32 -e 10 --data_root <path> --model_name <name>
```

Noticeable command line parameters:
- `--help` is an option to list of all accessible parameters.
- `-b <name>` is an option the backend to use (`gpu`, `mkl`, `cpu`).
- `-z <number>` is an option to set a batch size.
- `-e <number>` is an option to set epoch count.
- `--save_path <path>` with `--serialize <number>` are options to save model and learning state every X epochs.
- `--model_file <path>` is an option to load saved model and continue training.
- `--data_root <path>` is a path to the training and validation data directory.
- `--model_name <name>` is a model name. The full list of acessible names can be found in the `models` directory.
- `--restrict_dataset <number>` is an option to use only X (0 = all) samples from training and validation datasets. 
    Works only for inmemory data loaders (see script for details).
