# Prerequisites

- Python 3 (tested on 3.5.3)
- Intel neon Framework (tested on 2.6.0)
- Python modules listed in the "requirements.txt" file. To install requirements use the following command:
  
  `pip install -r requirements.txt`

- (optional) Intel Math Kernel Library or NVIDIA CUDA (8.0) libraries for associated neon backends


# Usage

1. Set up the environment:

```
# Add "Src" directory to the Python's library search paths
export PYTHONPATH=$PWD:$PYTHONPATH

. .venv/bin/activate # Neon virtualenv directory, consider creation of symbolic link
```

2. Run executable script. All executable scripts are named like `main_*.py`. 
   They can be found in the `Practice*` directories. Follow instructions placed
   in `Practice*/README.md`.
