# Dataset converters

These scripts are used to prepare data for the following model training and testing.
There are 2 scripts presented:
- [IMDB WIKI dataset][imdb_wiki] converter.
- [CamVid dataset][camvid] converter.

# Usage

```
python converter.py <dataset dir> <save dir> <input width> <input height> <train set size>
```

Parameters:
- `converter.py` is a converter.
- `<dataset dir>` is a path to the dataset root directory.
- `<save dir>` is a path to the converted data output directory.
- `<input width> <input height>` is a maximal image size (eg. 140 140).
- `<train set size>` is a train subset relative size (eg. 0.6).


[imdb_wiki]: https://data.vision.ee.ethz.ch/cvl/rrothe/imdb-wiki
[camvid]: http://mi.eng.cam.ac.uk/research/projects/VideoRec/CamVid
