import numpy as np

def generate_data(lshape, count):
    # Dummy data for fast network testing
    half = count // 2
    X_train = np.zeros((count, lshape[0] * lshape[1] * lshape[2]))
    X_train[:half] += -127
    X_train[half:] += 127
    y_train = np.zeros((count, 1))
    y_train[half:] += 1
    X_val = np.zeros((count, lshape[0] * lshape[1] * lshape[2]))
    X_val[:half] += -127
    X_val[half:] += 127
    y_val = np.zeros((count, 1))
    y_val[half:] += 1

    return X_train, y_train, X_val, y_val, lshape